jif.ast

## Class JifExtFactory_c

- java.lang.Object
- - polyglot.ast.AbstractExtFactory_c
  - - jif.ast.AbstractJifExtFactory_c
    - - jif.ast.JifExtFactory_c

- All Implemented Interfaces:
    java.lang.Iterable<polyglot.ast.ExtFactory>, JifExtFactory, JifStmtExtFactory, polyglot.ast.ExtFactory

      public class JifExtFactory_c
      extends AbstractJifExtFactory_c

  This class provides is Jif's Extension factory, creating the appropriate Ext objects as required.

- - ### Field Summary

    - ### Fields inherited from class polyglot.ast.AbstractExtFactory_c

      `emptyExtFactory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JifExtFactory_c()`
    `JifExtFactory_c(polyglot.ast.ExtFactory nextExtFactory)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected polyglot.ast.Ext` | `extAmbExprImpl()`
    `protected polyglot.ast.Ext` | `extAmbNewArrayImpl()`
    `protected polyglot.ast.Ext` | `extAmbParamTypeOrAccessImpl()`
    `protected polyglot.ast.Ext` | `extAmbPrefixImpl()`
    `protected polyglot.ast.Ext` | `extAmbQualifierNodeImpl()`
    `protected polyglot.ast.Ext` | `extAmbReceiverImpl()`
    `protected polyglot.ast.Ext` | `extAmbTypeNodeImpl()`
    `protected polyglot.ast.Ext` | `extArrayAccessAssignImpl()`
    `protected polyglot.ast.Ext` | `extArrayAccessImpl()`
    `protected polyglot.ast.Ext` | `extArrayInitImpl()`
    `protected polyglot.ast.Ext` | `extArrayTypeNodeImpl()`
    `protected polyglot.ast.Ext` | `extBinaryImpl()`
    `protected polyglot.ast.Ext` | `extBlockImpl()`
    `protected polyglot.ast.Ext` | `extBranchImpl()`
    `protected polyglot.ast.Ext` | `extCallImpl()`
    `protected polyglot.ast.Ext` | `extCannotToJavaImpl()` This method returns a vanilla Jif extensions (Jif_c) with a CannotToJavaExt_c for the ToJavaExt.
    `protected polyglot.ast.Ext` | `extCanonicalLabelNodeImpl()`
    `protected polyglot.ast.Ext` | `extCanonicalPrincipalNodeImpl()`
    `protected polyglot.ast.Ext` | `extCanonicalTypeNodeImpl()`
    `protected polyglot.ast.Ext` | `extCaseImpl()`
    `protected polyglot.ast.Ext` | `extCastImpl()`
    `protected polyglot.ast.Ext` | `extCatchImpl()`
    `protected polyglot.ast.Ext` | `extCheckedEndorseStmtImpl()`
    `protected polyglot.ast.Ext` | `extClassBodyImpl()`
    `protected polyglot.ast.Ext` | `extClassDeclImpl()`
    `protected polyglot.ast.Ext` | `extConditionalImpl()`
    `protected polyglot.ast.Ext` | `extConstraintNodeImpl()`
    `protected polyglot.ast.Ext` | `extConstructorCallImpl()`
    `protected polyglot.ast.Ext` | `extConstructorDeclImpl()`
    `protected polyglot.ast.Ext` | `extDeclassifyExprImpl()`
    `protected polyglot.ast.Ext` | `extDeclassifyStmtImpl()`
    `protected polyglot.ast.Ext` | `extDoImpl()`
    `protected polyglot.ast.Ext` | `extEmptyImpl()`
    `protected polyglot.ast.Ext` | `extEndorseExprImpl()`
    `protected polyglot.ast.Ext` | `extEndorseStmtImpl()`
    `protected polyglot.ast.Ext` | `extEvalImpl()`
    `protected polyglot.ast.Ext` | `extExprImpl()`
    `protected polyglot.ast.Ext` | `extFieldAssignImpl()`
    `protected polyglot.ast.Ext` | `extFieldDeclImpl()`
    `protected polyglot.ast.Ext` | `extFieldImpl()`
    `protected polyglot.ast.Ext` | `extForImpl()`
    `protected polyglot.ast.Ext` | `extFormalImpl()`
    `protected polyglot.ast.Ext` | `extIdImpl()`
    `protected polyglot.ast.Ext` | `extIfImpl()`
    `protected polyglot.ast.Ext` | `extImportImpl()`
    `protected polyglot.ast.Ext` | `extInitializerImpl()`
    `protected polyglot.ast.Ext` | `extInstanceofImpl()`
    `protected polyglot.ast.Ext` | `extInstTypeNodeImpl()`
    `protected polyglot.ast.Ext` | `extLabeledImpl()`
    `protected polyglot.ast.Ext` | `extLabeledTypeNodeImpl()`
    `protected polyglot.ast.Ext` | `extLabelExprImpl()`
    `protected polyglot.ast.Ext` | `extLitImpl()`
    `protected polyglot.ast.Ext` | `extLocalAssignImpl()`
    `protected polyglot.ast.Ext` | `extLocalClassDeclImpl()`
    `protected polyglot.ast.Ext` | `extLocalDeclImpl()`
    `protected polyglot.ast.Ext` | `extLocalImpl()`
    `protected polyglot.ast.Ext` | `extMethodDeclImpl()`
    `protected polyglot.ast.Ext` | `extNewArrayImpl()`
    `protected polyglot.ast.Ext` | `extNewImpl()`
    `protected polyglot.ast.Ext` | `extNewLabelImpl()`
    `protected polyglot.ast.Ext` | `extNodeImpl()`
    `protected polyglot.ast.Ext` | `extPackageNodeImpl()`
    `protected polyglot.ast.Ext` | `extParamDeclImpl()`
    `protected polyglot.ast.Ext` | `extParamNodeImpl()`
    `protected polyglot.ast.Ext` | `extPrincipalExprImpl()`
    `protected polyglot.ast.Ext` | `extReturnImpl()`
    `protected polyglot.ast.Ext` | `extSourceFileImpl()`
    `protected polyglot.ast.Ext` | `extSpecialImpl()`
    `protected polyglot.ast.Ext` | `extSwitchBlockImpl()`
    `protected polyglot.ast.Ext` | `extSwitchImpl()`
    `protected polyglot.ast.Ext` | `extSynchronizedImpl()`
    `protected polyglot.ast.Ext` | `extThrowImpl()`
    `protected polyglot.ast.Ext` | `extTryImpl()`
    `protected polyglot.ast.Ext` | `extUnaryImpl()`
    `protected polyglot.ast.Ext` | `extWhileImpl()`

    - ### Methods inherited from class jif.ast.AbstractJifExtFactory_c

      `extActsForConstraintNode, extActsForConstraintNodeImpl, extAmbDynamicLabelNode, extAmbDynamicLabelNodeImpl, extAmbNewArray, extAmbParam, extAmbParamImpl, extAmbParamTypeOrAccess, extAmbPrincipalNode, extAmbPrincipalNodeImpl, extAmbProviderLabelNode, extAmbProviderLabelNodeImpl, extAmbThisLabelNode, extAmbThisLabelNodeImpl, extAmbVarLabelNode, extAmbVarLabelNodeImpl, extAuthConstraintNode, extAuthConstraintNodeImpl, extAutoEndorseConstraintNode, extAutoEndorseConstraintNodeImpl, extCallerConstraintNode, extCallerConstraintNodeImpl, extCanonicalConstraintNode, extCanonicalConstraintNodeImpl, extCanonicalLabelNode, extCanonicalPrincipalNode, extCheckedEndorseStmt, extConstraintNode, extDeclassifyExpr, extDeclassifyStmt, extEndorseExpr, extEndorseStmt, extInstTypeNode, extJoinLabelNode, extJoinLabelNodeImpl, extLabelActsForLabelConstraintNode, extLabelActsForLabelConstraintNodeImpl, extLabelActsForPrincipalConstraintNode, extLabelActsForPrincipalConstraintNodeImpl, extLabeledTypeNode, extLabelExpr, extLabelLeAssertionNode, extLabelLeAssertionNodeImpl, extLabelNode, extLabelNodeImpl, extMeetLabelNode, extMeetLabelNodeImpl, extNewLabel, extParamDecl, extParamNode, extPolicyNode, extPolicyNodeImpl, extPrincipalActsForPrincipalConstraintNode, extPrincipalActsForPrincipalConstraintNodeImpl, extPrincipalExpr, extPrincipalNode, extPrincipalNodeImpl, postExtActsForConstraintNode, postExtAmbDynamicLabelNode, postExtAmbNewArray, postExtAmbParam, postExtAmbParamTypeOrAccess, postExtAmbPrincipalNode, postExtAmbProviderLabelNode, postExtAmbThisLabelNode, postExtAmbVarLabelNode, postExtAuthConstraintNode, postExtAutoEndorseConstraintNode, postExtCallerConstraintNode, postExtCanonicalConstraintNode, postExtCanonicalLabelNode, postExtCanonicalPrincipalNode, postExtConstraintNode, postExtDeclassifyExpr, postExtDeclassifyStmt, postExtDowngradeExpr, postExtDowngradeStmt, postExtEndorseExpr, postExtEndorseStmt, postExtInstTypeNode, postExtJoinLabelNode, postExtLabelActsForLabelConstraintNode, postExtLabelActsForPrincipalConstraintNode, postExtLabeledTypeNode, postExtLabelExpr, postExtLabelLeAssertionNode, postExtLabelNode, postExtMeetLabelNode, postExtNewLabel, postExtParamDecl, postExtParamNode, postExtPolicyNode, postExtPrincipalActsForPrincipalConstraintNode, postExtPrincipalExpr, postExtPrincipalNode`

    - ### Methods inherited from class polyglot.ast.AbstractExtFactory_c

      `composeExts, extAmbAssign, extAmbAssignImpl, extAmbExpr, extAmbPrefix, extAmbQualifierNode, extAmbReceiver, extAmbTypeNode, extArrayAccess, extArrayAccessAssign, extArrayInit, extArrayTypeNode, extAssert, extAssertImpl, extAssign, extAssignImpl, extBinary, extBlock, extBooleanLit, extBooleanLitImpl, extBranch, extCall, extCanonicalTypeNode, extCase, extCast, extCatch, extCharLit, extCharLitImpl, extClassBody, extClassDecl, extClassLit, extClassLitImpl, extClassMember, extClassMemberImpl, extCodeDecl, extCodeDeclImpl, extCompoundStmt, extCompoundStmtImpl, extConditional, extConstructorCall, extConstructorDecl, extDo, extEmpty, extEval, extExpr, extField, extFieldAssign, extFieldDecl, extFloatLit, extFloatLitImpl, extFor, extFormal, extId, extIf, extImport, extInitializer, extInstanceof, extIntLit, extIntLitImpl, extLabeled, extLit, extLocal, extLocalAssign, extLocalClassDecl, extLocalDecl, extLoop, extLoopImpl, extMethodDecl, extNew, extNewArray, extNode, extNodeList, extNodeListImpl, extNullLit, extNullLitImpl, extNumLit, extNumLitImpl, extPackageNode, extProcedureDecl, extProcedureDeclImpl, extReturn, extSourceCollection, extSourceCollectionImpl, extSourceFile, extSpecial, extStmt, extStmtImpl, extStringLit, extStringLitImpl, extSwitch, extSwitchBlock, extSwitchElement, extSwitchElementImpl, extSynchronized, extTerm, extTermImpl, extThrow, extTry, extTypeNode, extTypeNodeImpl, extUnary, extWhile, iterator, nextExtFactory, postExtAmbAssign, postExtAmbExpr, postExtAmbPrefix, postExtAmbQualifierNode, postExtAmbReceiver, postExtAmbTypeNode, postExtArrayAccess, postExtArrayAccessAssign, postExtArrayInit, postExtArrayTypeNode, postExtAssert, postExtAssign, postExtBinary, postExtBlock, postExtBooleanLit, postExtBranch, postExtCall, postExtCanonicalTypeNode, postExtCase, postExtCast, postExtCatch, postExtCharLit, postExtClassBody, postExtClassDecl, postExtClassLit, postExtClassMember, postExtCodeDecl, postExtCompoundStmt, postExtConditional, postExtConstructorCall, postExtConstructorDecl, postExtDo, postExtEmpty, postExtEval, postExtExpr, postExtField, postExtFieldAssign, postExtFieldDecl, postExtFloatLit, postExtFor, postExtFormal, postExtId, postExtIf, postExtImport, postExtInitializer, postExtInstanceof, postExtIntLit, postExtLabeled, postExtLit, postExtLocal, postExtLocalAssign, postExtLocalClassDecl, postExtLocalDecl, postExtLoop, postExtMethodDecl, postExtNew, postExtNewArray, postExtNode, postExtNodeList, postExtNullLit, postExtNumLit, postExtPackageNode, postExtProcedureDecl, postExtReturn, postExtSourceCollection, postExtSourceFile, postExtSpecial, postExtStmt, postExtStringLit, postExtSwitch, postExtSwitchBlock, postExtSwitchElement, postExtSynchronized, postExtTerm, postExtThrow, postExtTry, postExtTypeNode, postExtUnary, postExtWhile`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface polyglot.ast.ExtFactory

      `extAmbAssign, extAmbExpr, extAmbPrefix, extAmbQualifierNode, extAmbReceiver, extAmbTypeNode, extArrayAccess, extArrayAccessAssign, extArrayInit, extArrayTypeNode, extAssert, extAssign, extBinary, extBlock, extBooleanLit, extBranch, extCall, extCanonicalTypeNode, extCase, extCast, extCatch, extCharLit, extClassBody, extClassDecl, extClassLit, extClassMember, extCodeDecl, extCompoundStmt, extConditional, extConstructorCall, extConstructorDecl, extDo, extEmpty, extEval, extExpr, extField, extFieldAssign, extFieldDecl, extFloatLit, extFor, extFormal, extId, extIf, extImport, extInitializer, extInstanceof, extIntLit, extLabeled, extLit, extLocal, extLocalAssign, extLocalClassDecl, extLocalDecl, extLoop, extMethodDecl, extNew, extNewArray, extNode, extNodeList, extNullLit, extNumLit, extPackageNode, extProcedureDecl, extReturn, extSourceCollection, extSourceFile, extSpecial, extStmt, extStringLit, extSwitch, extSwitchBlock, extSwitchElement, extSynchronized, extTerm, extThrow, extTry, extTypeNode, extUnary, extWhile, nextExtFactory`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, iterator, spliterator`

- - ### Constructor Detail

    - #### JifExtFactory_c

          public JifExtFactory_c()

    - #### JifExtFactory_c

          public JifExtFactory_c(polyglot.ast.ExtFactory nextExtFactory)

  - ### Method Detail

    - #### extNodeImpl

          protected polyglot.ast.Ext extNodeImpl()

      Overrides:
        `extNodeImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extExprImpl

          protected polyglot.ast.Ext extExprImpl()

      Overrides:
        `extExprImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extIdImpl

          protected polyglot.ast.Ext extIdImpl()

      Overrides:
        `extIdImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extCannotToJavaImpl

          protected polyglot.ast.Ext extCannotToJavaImpl()

      This method returns a vanilla Jif extensions (Jif_c) with a CannotToJavaExt_c for the ToJavaExt.

    - #### extAmbExprImpl

          protected polyglot.ast.Ext extAmbExprImpl()

      Overrides:
        `extAmbExprImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extAmbPrefixImpl

          protected polyglot.ast.Ext extAmbPrefixImpl()

      Overrides:
        `extAmbPrefixImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extAmbQualifierNodeImpl

          protected polyglot.ast.Ext extAmbQualifierNodeImpl()

      Overrides:
        `extAmbQualifierNodeImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extAmbReceiverImpl

          protected polyglot.ast.Ext extAmbReceiverImpl()

      Overrides:
        `extAmbReceiverImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extAmbTypeNodeImpl

          protected polyglot.ast.Ext extAmbTypeNodeImpl()

      Overrides:
        `extAmbTypeNodeImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extArrayAccessImpl

          protected polyglot.ast.Ext extArrayAccessImpl()

      Overrides:
        `extArrayAccessImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extArrayInitImpl

          protected polyglot.ast.Ext extArrayInitImpl()

      Overrides:
        `extArrayInitImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extLocalAssignImpl

          protected polyglot.ast.Ext extLocalAssignImpl()

      Overrides:
        `extLocalAssignImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extFieldAssignImpl

          protected polyglot.ast.Ext extFieldAssignImpl()

      Overrides:
        `extFieldAssignImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extArrayAccessAssignImpl

          protected polyglot.ast.Ext extArrayAccessAssignImpl()

      Overrides:
        `extArrayAccessAssignImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extBinaryImpl

          protected polyglot.ast.Ext extBinaryImpl()

      Overrides:
        `extBinaryImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extBlockImpl

          protected polyglot.ast.Ext extBlockImpl()

      Overrides:
        `extBlockImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extSwitchBlockImpl

          protected polyglot.ast.Ext extSwitchBlockImpl()

      Overrides:
        `extSwitchBlockImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extBranchImpl

          protected polyglot.ast.Ext extBranchImpl()

      Overrides:
        `extBranchImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extCallImpl

          protected polyglot.ast.Ext extCallImpl()

      Overrides:
        `extCallImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extCaseImpl

          protected polyglot.ast.Ext extCaseImpl()

      Overrides:
        `extCaseImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extCastImpl

          protected polyglot.ast.Ext extCastImpl()

      Overrides:
        `extCastImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extCatchImpl

          protected polyglot.ast.Ext extCatchImpl()

      Overrides:
        `extCatchImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extClassBodyImpl

          protected polyglot.ast.Ext extClassBodyImpl()

      Overrides:
        `extClassBodyImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extClassDeclImpl

          protected polyglot.ast.Ext extClassDeclImpl()

      Overrides:
        `extClassDeclImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extConditionalImpl

          protected polyglot.ast.Ext extConditionalImpl()

      Overrides:
        `extConditionalImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extConstructorCallImpl

          protected polyglot.ast.Ext extConstructorCallImpl()

      Overrides:
        `extConstructorCallImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extConstructorDeclImpl

          protected polyglot.ast.Ext extConstructorDeclImpl()

      Overrides:
        `extConstructorDeclImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extFieldDeclImpl

          protected polyglot.ast.Ext extFieldDeclImpl()

      Overrides:
        `extFieldDeclImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extDoImpl

          protected polyglot.ast.Ext extDoImpl()

      Overrides:
        `extDoImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extEmptyImpl

          protected polyglot.ast.Ext extEmptyImpl()

      Overrides:
        `extEmptyImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extEvalImpl

          protected polyglot.ast.Ext extEvalImpl()

      Overrides:
        `extEvalImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extFieldImpl

          protected polyglot.ast.Ext extFieldImpl()

      Overrides:
        `extFieldImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extForImpl

          protected polyglot.ast.Ext extForImpl()

      Overrides:
        `extForImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extFormalImpl

          protected polyglot.ast.Ext extFormalImpl()

      Overrides:
        `extFormalImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extIfImpl

          protected polyglot.ast.Ext extIfImpl()

      Overrides:
        `extIfImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extImportImpl

          protected polyglot.ast.Ext extImportImpl()

      Overrides:
        `extImportImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extInitializerImpl

          protected polyglot.ast.Ext extInitializerImpl()

      Overrides:
        `extInitializerImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extInstanceofImpl

          protected polyglot.ast.Ext extInstanceofImpl()

      Overrides:
        `extInstanceofImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extLabeledImpl

          protected polyglot.ast.Ext extLabeledImpl()

      Overrides:
        `extLabeledImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extLitImpl

          protected polyglot.ast.Ext extLitImpl()

      Overrides:
        `extLitImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extLocalImpl

          protected polyglot.ast.Ext extLocalImpl()

      Overrides:
        `extLocalImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extLocalDeclImpl

          protected polyglot.ast.Ext extLocalDeclImpl()

      Overrides:
        `extLocalDeclImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extMethodDeclImpl

          protected polyglot.ast.Ext extMethodDeclImpl()

      Overrides:
        `extMethodDeclImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extNewImpl

          protected polyglot.ast.Ext extNewImpl()

      Overrides:
        `extNewImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extNewArrayImpl

          protected polyglot.ast.Ext extNewArrayImpl()

      Overrides:
        `extNewArrayImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extReturnImpl

          protected polyglot.ast.Ext extReturnImpl()

      Overrides:
        `extReturnImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extSourceFileImpl

          protected polyglot.ast.Ext extSourceFileImpl()

      Overrides:
        `extSourceFileImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extSpecialImpl

          protected polyglot.ast.Ext extSpecialImpl()

      Overrides:
        `extSpecialImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extSwitchImpl

          protected polyglot.ast.Ext extSwitchImpl()

      Overrides:
        `extSwitchImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extSynchronizedImpl

          protected polyglot.ast.Ext extSynchronizedImpl()

      Overrides:
        `extSynchronizedImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extThrowImpl

          protected polyglot.ast.Ext extThrowImpl()

      Overrides:
        `extThrowImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extTryImpl

          protected polyglot.ast.Ext extTryImpl()

      Overrides:
        `extTryImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extArrayTypeNodeImpl

          protected polyglot.ast.Ext extArrayTypeNodeImpl()

      Overrides:
        `extArrayTypeNodeImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extCanonicalTypeNodeImpl

          protected polyglot.ast.Ext extCanonicalTypeNodeImpl()

      Overrides:
        `extCanonicalTypeNodeImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extPackageNodeImpl

          protected polyglot.ast.Ext extPackageNodeImpl()

      Overrides:
        `extPackageNodeImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extUnaryImpl

          protected polyglot.ast.Ext extUnaryImpl()

      Overrides:
        `extUnaryImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extWhileImpl

          protected polyglot.ast.Ext extWhileImpl()

      Overrides:
        `extWhileImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extInstTypeNodeImpl

          protected polyglot.ast.Ext extInstTypeNodeImpl()

      Overrides:
        `extInstTypeNodeImpl` in class `AbstractJifExtFactory_c`

    - #### extLabeledTypeNodeImpl

          protected polyglot.ast.Ext extLabeledTypeNodeImpl()

      Overrides:
        `extLabeledTypeNodeImpl` in class `AbstractJifExtFactory_c`

    - #### extAmbNewArrayImpl

          protected polyglot.ast.Ext extAmbNewArrayImpl()

      Overrides:
        `extAmbNewArrayImpl` in class `AbstractJifExtFactory_c`

    - #### extAmbParamTypeOrAccessImpl

          protected polyglot.ast.Ext extAmbParamTypeOrAccessImpl()

      Overrides:
        `extAmbParamTypeOrAccessImpl` in class `AbstractJifExtFactory_c`

    - #### extCanonicalLabelNodeImpl

          protected polyglot.ast.Ext extCanonicalLabelNodeImpl()

      Overrides:
        `extCanonicalLabelNodeImpl` in class `AbstractJifExtFactory_c`

    - #### extParamNodeImpl

          protected polyglot.ast.Ext extParamNodeImpl()

      Overrides:
        `extParamNodeImpl` in class `AbstractJifExtFactory_c`

    - #### extCanonicalPrincipalNodeImpl

          protected polyglot.ast.Ext extCanonicalPrincipalNodeImpl()

      Overrides:
        `extCanonicalPrincipalNodeImpl` in class `AbstractJifExtFactory_c`

    - #### extParamDeclImpl

          protected polyglot.ast.Ext extParamDeclImpl()

      Overrides:
        `extParamDeclImpl` in class `AbstractJifExtFactory_c`

    - #### extConstraintNodeImpl

          protected polyglot.ast.Ext extConstraintNodeImpl()

      Overrides:
        `extConstraintNodeImpl` in class `AbstractJifExtFactory_c`

    - #### extDeclassifyStmtImpl

          protected polyglot.ast.Ext extDeclassifyStmtImpl()

      Overrides:
        `extDeclassifyStmtImpl` in class `AbstractJifExtFactory_c`

    - #### extDeclassifyExprImpl

          protected polyglot.ast.Ext extDeclassifyExprImpl()

      Overrides:
        `extDeclassifyExprImpl` in class `AbstractJifExtFactory_c`

    - #### extEndorseStmtImpl

          protected polyglot.ast.Ext extEndorseStmtImpl()

      Overrides:
        `extEndorseStmtImpl` in class `AbstractJifExtFactory_c`

    - #### extCheckedEndorseStmtImpl

          protected polyglot.ast.Ext extCheckedEndorseStmtImpl()

      Overrides:
        `extCheckedEndorseStmtImpl` in class `AbstractJifExtFactory_c`

    - #### extEndorseExprImpl

          protected polyglot.ast.Ext extEndorseExprImpl()

      Overrides:
        `extEndorseExprImpl` in class `AbstractJifExtFactory_c`

    - #### extNewLabelImpl

          protected polyglot.ast.Ext extNewLabelImpl()

      Overrides:
        `extNewLabelImpl` in class `AbstractJifExtFactory_c`

    - #### extLabelExprImpl

          protected polyglot.ast.Ext extLabelExprImpl()

      Overrides:
        `extLabelExprImpl` in class `AbstractJifExtFactory_c`

    - #### extPrincipalExprImpl

          protected polyglot.ast.Ext extPrincipalExprImpl()

      Overrides:
        `extPrincipalExprImpl` in class `AbstractJifExtFactory_c`

    - #### extLocalClassDeclImpl

          protected polyglot.ast.Ext extLocalClassDeclImpl()

      Overrides:
        `extLocalClassDeclImpl` in class `polyglot.ast.AbstractExtFactory_c`